# Interface RcsbFvStructureAdditionalInterface<R, L, S>

#### Type Parameters

- #### R

- #### L

- #### S

#### Hierarchy

- RcsbFvStructureAdditionalInterface

- Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:12

#####
Index

### Properties

componentId
stateManager
structureViewer
structureViewerBehaviourObserver

## Properties

### componentId

componentId: string

- Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:13

### stateManager

stateManager: RcsbFvStateInterface

- Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:15

### structureViewer

structureViewer: StructureViewerInterface<R, L, S>

- Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:14

### structureViewerBehaviourObserver

structureViewerBehaviourObserver: StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:16

Generated using TypeDoc